You must be logged in to reply.

Page 1 of 3 out of 24 messages.

Release of the GHI Electronics NETMF and Gadgeteer 2016 R1 SDK!

13 likes
Posted 10mth ago
by Gary | Employee
Posted 10mth ago
by Gary | Employee
We are excited to announce the release of the GHI Electronics NETMF and Gadgeteer 2016 R1 SDK. We have worked hard over the last few months to provide a very stable and user friendly SDK. Some of the major things in this release include:

- CDC over USB client on G30
- EMX, G120, and G400 can now update TinyBooter though In-Field Update
- G400 now uses the new GHI Bootloader to update TinyBooter
- Networking improvements in SSL, Accept, and Read
- The default debug interface is now controllable
- Legacy Gadgeteer mainboards and boards in GHI.Pins no longer warn about being obsolete
- Signed USB CDC drivers are now included when using the default VID and PID
- The USB drivers are now optional for the GHI Bootloader on Windows 10 and for Micro Framework on all supported systems
- BrainPad project templates are included for C# and Visual Basic
- PPP now works with more modems
- WiFi RS9110 is now more recoverable when corrupt
- SPI displays on G80 and Cerberus can now use custom widths and heights

No changes have been introduced since pre-release 2. The release notes show the combined changes of all the pre-releases for this SDK.

While we still do not officially support Visual Studio 2015 because of the serious issues with it, we are making an unsupported patch available that allows you to use it with our SDK. See the patch instructions for complete details. We still recommend Visual Studio 2013 for production use.

Lastly, we have updated our code signing certificate. You may get warnings that the SDK installer, USB drivers, and FEZ Config are not well known from Windows since it is a new certificate. This will go away as the SDK is used more.

Latest .NET Gadgeteer Core: http://gadgeteer.codeplex.com/downloads/get/1519812
VS2015 patch instructions: https://www.ghielectronics.com/docs/346/using-visual-studio-2015
2016 R1 SDK: https://www.ghielectronics.com/support/netmf/sdk/41/ghi-electronics-netmf-sdk-2016-r1
Reply #1 — Posted 10mth ago
by 4egod | Senior | 2,250 exp
Reply #1 — Posted 10mth ago
by 4egod | Senior | 2,250 exp
Great news!!! I'm going to migrate!!! Dancing
Reply #2 — Posted 10mth ago
by Dave McLaughlin | Legend | 56,667 exp
Reply #2 — Posted 10mth ago
by Dave McLaughlin | Legend | 56,667 exp
I get an error when I try to install the Gadgeteer part. Seeing as I don't use this anyway, I assume I can just not install this?

ERROR "The specified account already exists"
Reply #3 — Posted 10mth ago
by Wolfgang Feneberg | Master | 6,782 exp
Reply #3 — Posted 10mth ago
by Wolfgang Feneberg | Master | 6,782 exp
Cool. I try it Clapping Clapping
Reply #4 — Posted 10mth ago
by John | Employee
Reply #4 — Posted 10mth ago
by John | Employee
@Dave McLaughlin - Gadgeteer is optional if you don't need it.
Reply #5 — Posted 10mth ago
by Mr. John Smith | King | 39,996 exp
Reply #5 — Posted 10mth ago
by Mr. John Smith | King | 39,996 exp
@Gary -
PPP now works with more modems

How did you test this? Is there a list somewhere that I can reference? I want to use PPP to connect my g120 to the internet via the raspberry pi, but I haven't gotten the PI to "answer" as yet.
Reply #6 — Posted 10mth ago
by John | Employee
Reply #6 — Posted 10mth ago
by John | Employee
@Mr. John Smith - We have tested and confirmed working the SIM900, SIM908, and SIM5320A.
Reply #7 — Posted 10mth ago
by mhstr | Senior | 1,220 exp
Reply #7 — Posted 10mth ago
by mhstr | Senior | 1,220 exp
@John - I have some questions regarding compatibility of "GHI Electronics NETMF SDK 2016 R1" and previous 2016 Pre-release R2.

  1. I assume that application compiled under "SDK 2016 R1" will run under 2016 Pre-release R2 without any problems as there is no changes according release notes?
  2. In other words is it necessary to update our G400 PCBs currently using 2016 Pre-release R2 to the newest NETMF SDK 2016 R1? Again I assume it is not necessary because it is the same version 4.3.8.1.Right?
  3. Is there any changes in FEZ Config in new SDK 2016 R1 compare to 2016 Pre-release R2?
  4. So is there any benefit to install new SDK 2016 R1 if I have already installed 2016 Pre-release R2?
Thanks for clarifying these things.
Reply #8 — Posted 10mth ago
by SouthernStars | Senior | 1,406 exp
Reply #8 — Posted 10mth ago
by SouthernStars | Senior | 1,406 exp
In VS2015 patch instructions: https://www.ghielectronics.com/docs/346/using-visual-studio-2015
C:\Program Files (x86)\MSBuild\Microsoft.NET Micro Framework\v4.3
must be
C:\Program Files (x86)\MSBuild\Microsoft\.NET Micro Framework\v4.3
Reply #9 — Posted 10mth ago
by Dave McLaughlin | Legend | 56,667 exp
Reply #9 — Posted 10mth ago
by Dave McLaughlin | Legend | 56,667 exp
John says:
@Mr. John Smith - We have tested and confirmed working the SIM900, SIM908, and SIM5320A.

I've personally used it with the SIM900 and SIM5320A/E modules. Works great and reliably too. The cellular drive needs some work though to make it connect reliably each time but the changes are minimal.

Page 1 of 3 out of 24 messages.

You must be logged in to reply.